#! /bin/sh
#-----------------------------------------------------------------------------
# /tmp/install.sh - installation script
#
# Copyright (c) 2012 The Eisfair Team, team(at)eisfair(dot)org
#
# Creation   :  2010-03-27 jed
# Last update:  $Id: install.sh 29437 2012-01-04 19:51:19Z jed $
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#-----------------------------------------------------------------------------

# set package name
package_name=libspf2-dev

#----------------------------------------------------------------------------
# generate symlinks
#----------------------------------------------------------------------------
lib_names="libspf2.so.2.1.0"

cd /usr/lib/

for LNAME in ${lib_names}
do
    lib_name=`echo "${LNAME}" | sed 's#\.so.*$##'`
    lib_major=`echo "${LNAME}" | sed 's#.*so.##' | cut -d. -f1`
    lib_minor=`echo "${LNAME}" | sed 's#.*so.##' | cut -d. -f2`
    lib_patch=`echo "${LNAME}" | sed 's#.*so.##' | cut -d. -f3`

    LinkDES="${LNAME}"
    LinkSRC="${lib_name}.so"

    rm -f ${LinkSRC}
    ln -sf ${LinkDES} ${LinkSRC}
    echo "b 0755 root root ${package_name} usr/lib/${LinkSRC}" \
          >>/etc/filelist.d/${package_name}-files.txt

    /usr/bin/ranlib /usr/lib/${lib_name}.a 2>/dev/null
done
#----------------------------------------------------------------------------
# running ldconfig
#----------------------------------------------------------------------------
/sbin/ldconfig >/dev/null 2>&1

exit 0
#----------------------------------------------------------------------------
# end
#----------------------------------------------------------------------------
